Bug 1215071 - Review Request: querydsl - Type-safe queries for Java
Summary: Review Request: querydsl - Type-safe queries for Java
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jerry James
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On: 826038 1213455 1215073 1215074 1215077 1215080
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-04-24 08:46 UTC by gil cattaneo
Modified: 2015-06-21 00:12 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-06-21 00:12:23 UTC
loganjerry: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description gil cattaneo 2015-04-24 08:46:18 UTC
Spec URL: https://gil.fedorapeople.org/querydsl.spec
SRPM URL: https://gil.fedorapeople.org/querydsl-3.5.1-1.fc20.src.rpm
Description:
Querydsl is a framework which enables the
construction of type-safe SQL-like queries
for multiple backends including JPA, JDO and
SQL in Java.

Instead of writing queries as inline strings
or externalizing them into XML files they
are constructed via a fluent API.
Fedora Account System Username: gil

Comment 1 gil cattaneo 2015-04-30 07:08:30 UTC
Spec URL: https://gil.fedorapeople.org/querydsl.spec
SRPM URL: https://gil.fedorapeople.org/querydsl-3.6.3-1.fc20.src.rpm

- update to 3.6.3

Comment 2 gil cattaneo 2015-05-26 11:44:38 UTC
Spec URL: https://gil.fedorapeople.org/querydsl.spec
SRPM URL: https://gil.fedorapeople.org/querydsl-4.0.0-1.fc20.src.rpm

- update to 4.0.0

Comment 3 gil cattaneo 2015-05-29 21:43:11 UTC
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=9884796

Comment 4 Jerry James 2015-05-31 03:23:40 UTC
I will take this review.

Comment 5 Jerry James 2015-05-31 03:26:45 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


Issues:
=======
- Package does not contain duplicates in %files.
  Note: warning: File listed twice: /usr/share/java/querydsl
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#DuplicateFiles
  This is because of the %dir %{_javadir}/%{name} entry in %files.

- License file is not installed if querydsl-root is installed by itself; it
  has no dependencies on any other querydsl packages.  Incidentally, the
  license file does NOT need to be installed with the querydsl-maven-plugin
  package, which depends on querydsl-sql-codegen, which depends on
  querydsl-codegen, which depends on the main package, which installs the
  license file.


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[!]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 71680 bytes in 7 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Bundled jar/class files should be removed before build
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It
     is pulled in by maven-local
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)

Maven:
[x]: If package contains pom.xml files install it (including metadata) even
     when building with ant
[x]: POM files have correct Maven mapping
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DO NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use .mfiles file list instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     querydsl-apt , querydsl-codegen , querydsl-collections , querydsl-
     hibernate-search , querydsl-jdo , querydsl-jpa , querydsl-jpa-codegen
     , querydsl-lucene3 , querydsl-maven-plugin , querydsl-mongodb ,
     querydsl-root , querydsl-scala , querydsl-spatial , querydsl-sql ,
     querydsl-sql-codegen , querydsl-sql-spatial , querydsl-sql-spring ,
     querydsl-javadoc
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
     But it doesn't matter, since maven runs the tests at build time.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: querydsl-4.0.0-1.fc23.noarch.rpm
          querydsl-apt-4.0.0-1.fc23.noarch.rpm
          querydsl-codegen-4.0.0-1.fc23.noarch.rpm
          querydsl-collections-4.0.0-1.fc23.noarch.rpm
          querydsl-hibernate-search-4.0.0-1.fc23.noarch.rpm
          querydsl-jdo-4.0.0-1.fc23.noarch.rpm
          querydsl-jpa-4.0.0-1.fc23.noarch.rpm
          querydsl-jpa-codegen-4.0.0-1.fc23.noarch.rpm
          querydsl-lucene3-4.0.0-1.fc23.noarch.rpm
          querydsl-maven-plugin-4.0.0-1.fc23.noarch.rpm
          querydsl-mongodb-4.0.0-1.fc23.noarch.rpm
          querydsl-root-4.0.0-1.fc23.noarch.rpm
          querydsl-scala-4.0.0-1.fc23.noarch.rpm
          querydsl-spatial-4.0.0-1.fc23.noarch.rpm
          querydsl-sql-4.0.0-1.fc23.noarch.rpm
          querydsl-sql-codegen-4.0.0-1.fc23.noarch.rpm
          querydsl-sql-spatial-4.0.0-1.fc23.noarch.rpm
          querydsl-sql-spring-4.0.0-1.fc23.noarch.rpm
          querydsl-javadoc-4.0.0-1.fc23.noarch.rpm
          querydsl-4.0.0-1.fc23.src.rpm
querydsl.noarch: W: spelling-error %description -l en_US backends -> back ends, back-ends, backhands
querydsl-apt.noarch: W: no-documentation
querydsl-codegen.noarch: W: no-documentation
querydsl-hibernate-search.noarch: W: no-documentation
querydsl-jpa-codegen.noarch: W: no-documentation
querydsl-lucene3.noarch: W: spelling-error %description -l en_US Lucene -> Luce
querydsl-maven-plugin.noarch: W: no-documentation
querydsl-root.noarch: W: no-documentation
querydsl-scala.noarch: W: no-documentation
querydsl-spatial.noarch: W: no-documentation
querydsl-sql-codegen.noarch: W: no-documentation
querydsl-sql-spatial.noarch: W: no-documentation
querydsl-sql-spring.noarch: W: no-documentation
querydsl.src: W: spelling-error %description -l en_US backends -> back ends, back-ends, backhands
20 packages and 0 specfiles checked; 0 errors, 14 warnings.




Rpmlint (installed packages)
----------------------------
querydsl-spatial.noarch: W: no-documentation
querydsl-sql-codegen.noarch: W: no-documentation
querydsl-jpa-codegen.noarch: W: no-documentation
querydsl-hibernate-search.noarch: W: no-documentation
querydsl-codegen.noarch: W: no-documentation
querydsl.noarch: W: spelling-error %description -l en_US backends -> back ends, back-ends, backhands
querydsl-sql-spatial.noarch: W: no-documentation
querydsl-lucene3.noarch: W: spelling-error %description -l en_US Lucene -> Luce
querydsl-scala.noarch: W: no-documentation
querydsl-apt.noarch: W: no-documentation
querydsl-maven-plugin.noarch: W: no-documentation
querydsl-root.noarch: W: no-documentation
querydsl-sql-spring.noarch: W: no-documentation
19 packages and 0 specfiles checked; 0 errors, 13 warnings.



Requires
--------
querydsl-spatial (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(com.querydsl:querydsl-core)
    mvn(org.geolatte:geolatte-geom)

querydsl-jdo (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(com.querydsl:querydsl-core)
    mvn(javax.jdo:jdo-api)
    mvn(org.slf4j:slf4j-api)

querydsl-mongodb (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(com.querydsl:querydsl-core)
    mvn(org.mongodb:mongo-java-driver)
    mvn(org.slf4j:slf4j-api)

querydsl-sql-codegen (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(com.querydsl:querydsl-codegen)
    mvn(com.querydsl:querydsl-sql)
    mvn(com.querydsl:querydsl-sql-spatial)
    mvn(org.slf4j:slf4j-api)

querydsl-jpa-codegen (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(com.querydsl:querydsl-codegen)
    mvn(com.querydsl:querydsl-jpa)
    mvn(org.hibernate.javax.persistence:hibernate-jpa-2.0-api)
    mvn(org.slf4j:slf4j-api)

querydsl-hibernate-search (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(com.querydsl:querydsl-lucene3)
    mvn(org.hibernate.javax.persistence:hibernate-jpa-2.0-api)

querydsl-collections (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(com.querydsl:querydsl-apt)
    mvn(com.querydsl:querydsl-codegen)
    mvn(org.slf4j:slf4j-api)

querydsl-sql (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(com.infradna.tool:bridge-method-annotation)
    mvn(com.querydsl:querydsl-core)
    mvn(javax.inject:javax.inject)
    mvn(javax.validation:validation-api)
    mvn(joda-time:joda-time)
    mvn(org.slf4j:slf4j-api)

querydsl-codegen (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(com.mysema.codegen:codegen)
    mvn(com.querydsl:querydsl-core)
    mvn(javax.inject:javax.inject)
    mvn(org.reflections:reflections)

querydsl (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(com.google.code.findbugs:jsr305)
    mvn(com.google.guava:guava)
    mvn(com.infradna.tool:bridge-method-annotation)
    mvn(com.mysema.commons:mysema-commons-lang)

querydsl-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils

querydsl-jpa (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(com.querydsl:querydsl-core)
    mvn(org.slf4j:slf4j-api)

querydsl-sql-spatial (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(com.infradna.tool:bridge-method-annotation)
    mvn(com.querydsl:querydsl-spatial)
    mvn(com.querydsl:querydsl-sql)
    mvn(com.vividsolutions:jts)

querydsl-lucene3 (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(com.querydsl:querydsl-apt)
    mvn(com.querydsl:querydsl-core)
    mvn(org.slf4j:slf4j-api)

querydsl-scala (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(com.querydsl:querydsl-core)

querydsl-apt (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(com.querydsl:querydsl-codegen)

querydsl-maven-plugin (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(com.querydsl:querydsl-sql-codegen)
    mvn(javax.jdo:jdo2-api)
    mvn(org.apache.maven:maven-core)
    mvn(org.apache.maven:maven-model)
    mvn(org.apache.maven:maven-plugin-api)
    mvn(org.codehaus.plexus:plexus-utils)
    mvn(org.hibernate.javax.persistence:hibernate-jpa-2.0-api)
    mvn(org.sonatype.plexus:plexus-build-api)

querydsl-root (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(org.apache.maven.plugins:maven-compiler-plugin)
    mvn(org.apache.maven.plugins:maven-enforcer-plugin)
    mvn(org.apache.maven.plugins:maven-jar-plugin)
    mvn(org.apache.maven.plugins:maven-javadoc-plugin)
    mvn(org.apache.maven.plugins:maven-surefire-plugin)

querydsl-sql-spring (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(com.querydsl:querydsl-sql)



Provides
--------
querydsl-spatial:
    mvn(com.querydsl:querydsl-spatial)
    mvn(com.querydsl:querydsl-spatial:pom:)
    osgi(com.querydsl.spatial)
    querydsl-spatial

querydsl-jdo:
    mvn(com.querydsl:querydsl-jdo)
    mvn(com.querydsl:querydsl-jdo:pom:)
    osgi(com.querydsl.jdo)
    querydsl-jdo

querydsl-mongodb:
    mvn(com.querydsl:querydsl-mongodb)
    mvn(com.querydsl:querydsl-mongodb:pom:)
    osgi(com.querydsl.mongodb)
    querydsl-mongodb

querydsl-sql-codegen:
    mvn(com.querydsl:querydsl-sql-codegen)
    mvn(com.querydsl:querydsl-sql-codegen:pom:)
    osgi(com.querydsl.sql-codegen)
    querydsl-sql-codegen

querydsl-jpa-codegen:
    mvn(com.querydsl:querydsl-jpa-codegen)
    mvn(com.querydsl:querydsl-jpa-codegen:pom:)
    osgi(com.querydsl.jpa-codegen)
    querydsl-jpa-codegen

querydsl-hibernate-search:
    mvn(com.querydsl:querydsl-hibernate-search)
    mvn(com.querydsl:querydsl-hibernate-search:pom:)
    osgi(com.querydsl.hibernate-search)
    querydsl-hibernate-search

querydsl-collections:
    mvn(com.querydsl:querydsl-collections)
    mvn(com.querydsl:querydsl-collections:pom:)
    osgi(com.querydsl.collections)
    querydsl-collections

querydsl-sql:
    mvn(com.querydsl:querydsl-sql)
    mvn(com.querydsl:querydsl-sql:pom:)
    osgi(com.querydsl.sql)
    querydsl-sql

querydsl-codegen:
    mvn(com.querydsl:querydsl-codegen)
    mvn(com.querydsl:querydsl-codegen:pom:)
    osgi(com.querydsl.codegen)
    querydsl-codegen

querydsl:
    mvn(com.querydsl:querydsl-core)
    mvn(com.querydsl:querydsl-core:pom:)
    osgi(com.querydsl.core)
    querydsl

querydsl-javadoc:
    querydsl-javadoc

querydsl-jpa:
    mvn(com.querydsl:querydsl-jpa)
    mvn(com.querydsl:querydsl-jpa:pom:)
    osgi(com.querydsl.jpa)
    querydsl-jpa

querydsl-sql-spatial:
    mvn(com.querydsl:querydsl-sql-spatial)
    mvn(com.querydsl:querydsl-sql-spatial:pom:)
    osgi(com.querydsl.sql-spatial)
    querydsl-sql-spatial

querydsl-lucene3:
    mvn(com.querydsl:querydsl-lucene3)
    mvn(com.querydsl:querydsl-lucene3:pom:)
    osgi(com.querydsl.lucene3)
    querydsl-lucene3

querydsl-scala:
    mvn(com.querydsl:querydsl-scala)
    mvn(com.querydsl:querydsl-scala:pom:)
    querydsl-scala

querydsl-apt:
    mvn(com.querydsl:querydsl-apt)
    mvn(com.querydsl:querydsl-apt:pom:)
    osgi(com.querydsl.apt)
    querydsl-apt

querydsl-maven-plugin:
    mvn(com.querydsl:querydsl-maven-plugin)
    mvn(com.querydsl:querydsl-maven-plugin:pom:)
    querydsl-maven-plugin

querydsl-root:
    mvn(com.querydsl:querydsl-root:pom:)
    querydsl-root

querydsl-sql-spring:
    mvn(com.querydsl:querydsl-sql-spring)
    mvn(com.querydsl:querydsl-sql-spring:pom:)
    osgi(com.querydsl.sql-spring)
    querydsl-sql-spring



Source checksums
----------------
https://github.com/querydsl/querydsl/archive/QUERYDSL_4_0_0.tar.gz :
  CHECKSUM(SHA256) this package     : 68c79faa823ac75d90dd7628452b2e8a663bc15e138d191f4e271d2f9849026c
  CHECKSUM(SHA256) upstream package : 68c79faa823ac75d90dd7628452b2e8a663bc15e138d191f4e271d2f9849026c


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1215071 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, Java
Disabled plugins: C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 6 Jerry James 2015-05-31 03:28:21 UTC
There are just two minor issues, an extraneous line in %files and the choice of subpackage to install the license file into.  Fix both of those before importing.  This package is APPROVED.

Comment 7 gil cattaneo 2015-05-31 12:17:21 UTC
(In reply to Jerry James from comment #6)
> There are just two minor issues, an extraneous line in %files and the choice
> of subpackage to install the license file into.
Fixed

Thanks for review

Spec URL: https://gil.fedorapeople.org/querydsl.spec
SRPM URL: https://gil.fedorapeople.org/querydsl-4.0.0-2.fc20.src.rpm


New Package SCM Request
=======================
Package Name: querydsl
Short Description: Type-safe queries for Java
Upstream URL: http://www.querydsl.com
Owners: gil
Branches: f22
InitialCC: java-sig

Comment 8 Gwyn Ciesla 2015-05-31 16:28:59 UTC
Git done (by process-git-requests).

Comment 9 Fedora Update System 2015-06-10 16:58:55 UTC
querydsl-4.0.0-2.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/querydsl-4.0.0-2.fc22

Comment 10 Fedora Update System 2015-06-11 18:35:44 UTC
querydsl-4.0.0-2.fc22 has been pushed to the Fedora 22 testing repository.

Comment 11 Fedora Update System 2015-06-21 00:12:23 UTC
querydsl-4.0.0-2.fc22 has been pushed to the Fedora 22 stable repository.


Note You need to log in before you can comment on or make changes to this bug.